# $Revision: 1.20 $, $Date: 2007/04/01 11:10:50 $
#
# NOTE:
#		- firmwares available at http://liggydee.cdfreaks.com/page/
#
Summary:	Binflash (NEC version) - universal firmware flasher for binary firmwares
Summary(pl.UTF-8):	Binflash (wersja NEC) - uniwersalne narzędzie do uaktualniania binarnych firmware
Name:		binflash
Version:	1.38
Release:	1
License:	Freeware
Group:		Applications/System
Source0:	necflash_linux.tgz
# Source0-md5:	e9912abe254b697d2511c0a23f27b7cb
URL:		http://binflash.cdfreaks.com/
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Binflash is a collection of tools you may use in order to flash your
DVD burner with a binary firmware file (some executable flashers are
also supported) or to dump the Flash ROM of your burner back to disc.
You should be able to work with all devices that are currently
accessible in your operating system, even if the drives are attached
via Firewire or USB.

Disclaimer:

By using this program and accepting the disclaimer you accept that
neither the authors of these programs nor CDFreaks.com can be held
responsible for any damages caused by using Binflash. If you damage
your drive by using this flasher or any experimental firmwares, do not
RMA your drive but buy a new one!

%description -l pl.UTF-8
Binflash to zestaw narzędzi do uaktualnienia pamięci flash w
nagrywarkach DVD za pomocą pliku binarnego z firmware (obsługiwane są
także niektóre wykonywalne pliki z firmware) oraz zrzucania zawartości
Flash ROM-u nagrywarki z powrotem na dysk. Narzędzia powinny działać
ze wszystkimi urządzeniami aktualnie dostępnymi w systemie
operacyjnym, nawet tymi podłączonymi poprzez Firewire lub USB.

Uwaga:

Używając ten program i przyjmując to oświadczenie akceptujemy, że ani
autorzy tych programów ani CDFreaks.com nie są odpowiedzialni za
żadne uszkodzenia spowodowane używaniem Binflasha. W przypadku
uszkodzenia urządzenia poprzez użycie tego narzędzia lub jakiegoś
eksperymentalnego firmware pozostaje tylko zakup nowego napędu.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT

install -D necflash \
	$RPM_BUILD_ROOT%{_sbindir}/necflash

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/necflash

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: binflash.spec,v $
Revision 1.20  2007/04/01 11:10:50  pluto
- updated to 1.38.

Revision 1.19  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:48:40  baggins
- converted to UTF-8

Revision 1.17  2006/05/27 18:52:47  pluto
- source0 dropped in. direct link points to old 1.22.

Revision 1.16  2006/05/27 18:36:11  pluto
- updated to 1.29.

Revision 1.15  2006/05/16 20:26:22  pluto
- updated to 1.28.

Revision 1.14  2005/12/27 14:51:41  pluto
- firmware goes to /lib/firmware.

Revision 1.13  2005/12/27 14:31:57  pluto
- statically linked 32-bit binary (works on x86-64 too).

Revision 1.12  2005/12/27 13:55:11  pluto
- added NEC-ND3540A-1.W8-rpc1.bin

Revision 1.11  2005/11/01 16:28:47  pluto
- note about modified firmware.

Revision 1.10  2005/11/01 16:27:13  pluto
- release 1.

Revision 1.9  2005/11/01 16:24:47  pluto
- more firmwares:
  NEC-ND3540A-1.03-bt-rpc1.bin  - NEC 1.03 including Bitsetting,
                                  Riplock removed and RPC1 versions.
  NEC-ND3540A-1.W7-rpc1.bin     - Liggy's And Dee's NEC 1.W7 including
                                  Bitsetting, Riplock removed and RPC1.

Revision 1.8  2005/11/01 16:06:24  pluto
- latest NEC-ND3540A-1.03 firmware added.

Revision 1.7  2005/11/01 13:04:39  pluto
- license freeware (based on http://wiki.cdfreaks.com/index.php/Binflash).

Revision 1.6  2005/11/01 13:01:40  pluto
- updated to 1.22 (source0 updated, direct link works).

Revision 1.5  2005/09/19 09:33:15  prism
- whoops, Source0 dropped (see pluto's note below)

Revision 1.4  2005/09/19 09:21:49  prism
- 1.18
- added Source0 URL

Revision 1.3  2005/01/19 15:38:54  pluto
- source0 dropped in (cross site linking prohibited).
- updated to 1.10 (added support for ND3450A/ND3520A drives).

Revision 1.2  2004/11/16 22:47:52  qboosh
- pl, Source0 URL, ExclusiveArch

Revision 1.1  2004/11/13 07:31:09  pluto
- NEC compatilble firmware flasher.
- TODO: license
